Show: Inherited Protected Private Deprecated

# ButtonStateClasses Class

Defined in: `src/ui/react/src/components/base/button-state-classes.js:4`

ButtonStateClasses is a mixin that decorates the domElement of a component with different CSS classes based on the current state of the element.

To check for state, the component can expose the following methods:

- `Function` isActive to check the active state
- `Function` isDisabled to check the disabled state

## Index

### Methods

- getStateClasses

## Methods

### `getStateClasses`

() String

Defined in `src/ui/react/src/components/base/button-state-classes.js:15`

Returns the list of state classes associated to the current element's state, according to the results of the isActive and isDisabled methods.

#### Returns:

String:

A string with the state CSS classes.